root = exports ? this


class root.Deckchair.Collections.Images extends root.Deckchair.Libraries.Backbone.Collection
  model: root.Deckchair.Models.Image

  urlRoot: "http://#{ root.Deckchair.Configuration.base_domain[ root.Deckchair.environment ].api }/#{ root.Deckchair.Configuration.api.version }/timeline"
  url: ( image ) ->
    timestamp = image.get('taken').getTime()/1000
    "#{ @urlRoot }/#{ image.get('camera_id') }/#{ timestamp }"


  comparator: (image) ->
    return -image.get( 'id' )


  fetchNext: (image, options={}) ->
    $.extend true, options,
      url: @url( image )
      data:
        direction: 'starts_at'
    @fetch( options )


  fetchPrev: (image, options={}) ->
    $.extend true, options,
      url: @url( image )
      data:
        direction: 'ends_at'
    @fetch( options )


  fetchBoth: (image, options={}) ->
    $.extend true, options,
      url: @url( image )
      data:
        direction: 'centered_at'
    @fetch( options )