#lat: "46.6274635",
#lng: "8.0462669",

#address: " 9 KirchbÃ¼hlstrasse",
#city: "Grindelwald",
#state: "Canton of Bern",
#zip_code: "3818",
#country: "CH",

#time_offset_ms: 7200000,
#time_offset_olsen: "Europe/Zurich",

#sunrise: "2000-01-01T05:57:00+00:00",
#sunset: "2000-01-01T16:25:00+00:00",

#compass: null,
#altitude: null


root = exports ? this

class root.Deckchair.Models.Location extends root.Deckchair.Libraries.Backbone.Model
  idAttribute: 'id'

  initialize: ->
    unless _.isDate @get('sunrise')
      @set 'sunrise', new Date( Date.parse( @get('sunrise') ) )

    unless _.isDate @get('sunset')
      @set 'sunset', new Date( Date.parse( @get('sunset') ) )


  defaults:
    lat: null
    lng: null
    address: null
    city: null
    state: null
    zip_code: null
    country: null
    time_offset_ms: null
    time_offset_olsen: null
    sunrise: null
    sunset: null
    compass: null
    altitude: null


  parse: (response) ->
    if _.isObject(response.result)
      response = response.result

    if response.sunrise
      response.sunrise = new Date( Date.parse( response.sunrise ) )

    if response.sunset
      response.sunset = new Date( Date.parse( response.sunset ) )

    return response