root = this


class root.Deckchair.Views.WidgetImage extends root.Deckchair.Libraries.Backbone.View
  tagName: 'img'
  className: 'deckchair-widget-image'


  events:
    'click [data-deckchair-widget-action="prev"]': 'clickPrev'


  initialize: ->
    _.bindAll @
    @define()
    @build()
    @render()


  define: ->
    @$el.on 'load', (e) =>
      @$el.css
        opacity: 1
    @model.on 'destroy', @remove
    @widget_view = @options.widget_view
    @$widget_view = @widget_view.$el


  build: ->
    if @options.postpone_load
      @imageIsLoaded = false
    else
      @loadImage()


  render: ->
    return @


  loadImage: ->
    @$el.attr "src", @model.getImageUrl( @options.widget_options )
    @imageIsLoaded = true